Page MenuHomePhabricator

MediaWiki difference view doesn't show emoji in Chrome on Mac
Closed, ResolvedPublic

Description

Due to font-weight: bold; being set in .diffchange { font-weight: bold; }, the diff never renders any emoji characters on lines that are changed. This makes it easier for emoji spam to evade the eye of patrollers.

At least in Chrome/Mac, emoji characters aren't shown as they don't have a bold equivalent.
Upstream: https://code.google.com/p/chromium/issues/detail?id=441946

https://www.mediawiki.org/w/index.php?title=Project%3ASandbox&type=revision&diff=1664383&oldid=1664382

Event Timeline

Krinkle created this task.Jun 3 2015, 4:05 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 4:05 AM
Krinkle updated the task description. (Show Details)Jun 3 2015, 4:11 AM
Krinkle set Security to None.
Krinkle updated the task description. (Show Details)Jun 3 2015, 4:16 AM
Legoktm added a subscriber: Legoktm.Jun 3 2015, 4:19 AM

Shows up for me on Fedora 22 + Firefox 28

Mdann52 added a subscriber: Mdann52.Jun 3 2015, 6:19 AM

Shows for me on Safari on iPod in both mobile and desktop views - is this just a specific issue with Mac ox by any chance?

A few tests under Linux (Firefox 38, Chromium 43.0.2357.81. midori 0.5.10) all show the collision symbol (aka. U+1F4A5).

Aklapper renamed this task from MediaWiki difference view doesn't show emoji to MediaWiki difference view doesn't show emoji in Chrome on Mac.Jun 5 2015, 9:15 AM
Aklapper triaged this task as Low priority.
TheDJ added a subscriber: TheDJ.

Sounds like a Chrome specific bug to me. Glyph fallback should usually just make this work on Mac OS X.

TheDJ moved this task from Backlog to Reported Upstream on the Upstream board.Dec 21 2015, 1:15 PM
TheDJ removed projects: Vector, MediaWiki-Interface.
Fito added a subscriber: Fito.Feb 26 2016, 9:57 PM

The bug is actually in Skia. Chrome has worked around the bug in version 50.

Krinkle closed this task as Resolved.Apr 14 2017, 11:46 PM
Krinkle claimed this task.